# Generated by Django 3.2.8 on 2021-11-02 18:26

import ccb_app.models
import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='ClientProfile',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('Nume', models.CharField(default='', max_length=50)),
                ('Prenume', models.CharField(default='', max_length=50)),
                ('Numar de telefon', models.CharField(default='0', max_length=18, validators=[ccb_app.models.telephone_valid])),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('content', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Facility',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('facility_type', models.CharField(choices=[('foisor', 'Foisor'), ('ciubar', 'Ciubar'), ('spalatorie', 'Spalatorie')], max_length=50)),
                ('description', models.TextField()),
            ],
        ),
        migrations.CreateModel(
            name='Reservation',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('check_in', models.DateField(default=datetime.datetime(2021, 11, 2, 20, 26, 27, 906988))),
                ('check_out', models.DateField(default=datetime.datetime(2021, 11, 2, 20, 26, 27, 906988))),
                ('status', models.CharField(choices=[('searching', 'Cauta'), ('confirmed', 'Confirmata'), ('6pm_release', 'Retinuta'), ('pending', 'In curs de confirmare'), ('canceled', 'Anulata'), ('wait_list', 'In asteptare'), ('no_show', 'No show'), ('checked-in', 'Checked-in'), ('checked-out', 'Checked-out')], max_length=15)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Room',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=50)),
                ('room_type', models.CharField(choices=[('camera_dubla', 'Camera Dubla'), ('apartament', 'Apartament'), ('facility', 'Facilitate'), ('exterior', 'Exterior'), ('interior', 'Interior')], max_length=30)),
                ('beds', models.IntegerField()),
                ('capacity', models.IntegerField()),
                ('description', models.TextField()),
                ('price', models.DecimalField(decimal_places=0, max_digits=19)),
            ],
        ),
        migrations.CreateModel(
            name='SpecialOffer',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('start_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('end_date', models.DateTimeField(default=django.utils.timezone.now)),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ccb_app.room')),
            ],
        ),
        migrations.CreateModel(
            name='RoomImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to='static/images')),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ccb_app.room')),
            ],
        ),
        migrations.CreateModel(
            name='Review',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('title', models.CharField(max_length=75)),
                ('content', models.TextField()),
                ('datetime', models.DateTimeField(default=django.utils.timezone.now)),
                ('reservation_item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ccb_app.reservation')),
            ],
        ),
        migrations.CreateModel(
            name='ReservationItem',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('reservation', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ccb_app.reservation')),
                ('room', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ccb_app.room')),
            ],
        ),
        migrations.CreateModel(
            name='FacilityImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('image', models.ImageField(blank=True, null=True, upload_to='static/images')),
                ('facility', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='ccb_app.facility')),
            ],
        ),
        migrations.CreateModel(
            name='Comment',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content', models.TextField()),
                ('datetime', models.DateTimeField(auto_now=True)),
                ('accepted', models.BooleanField(default=False)),
                ('author_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='author_name', to='ccb_app.clientprofile')),
                ('parent_comment', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='ccb_app.comment')),
                ('review', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='review', to='ccb_app.review')),
            ],
            options={
                'ordering': ['-datetime'],
            },
        ),
    ]
